var helper = require(__dirname + '/../test-helper');
var pg = helper.pg;

test('results are returned as arrays', function() {
  pg.connect(helper.config, assert.success(function(client, done) {
    client.query('CREATE TEMP TABLE whatever("firstName" TEXT, "lastName" TEXT)');
    var rows = [['Brian', 'Carlson'], ['Aaron', 'Carlson'], ['Shelley', 'Carlson']];
    rows.forEach(function(row) {
      client.query('INSERT INTO whatever("firstName", "lastName") VALUES ($1, $2)', row);
    });
    var query = {
      text: 'SELECT * FROM whatever',
      resultType: 'array'
    }
    client.query(query, assert.success(function(result) {
      console.log(result);
      done(client);
    }));
  }));
});
